### Method

# Gimp Image set_resolution

#### Declaration [src]

    gboolean
    gimp_image_set_resolution (
      GimpImage* image,
      gdouble xresolution,
      gdouble yresolution
    )

#### Description [src]

Sets the specified image’s resolution.

This procedure sets the specified image’s resolution in dots per inch. This value is independent of any of the layers in this image. No scaling or resizing is performed.

#### Parameters

`xresolution`

  Type: `gdouble`

  The new image resolution in the x-axis, in dots per inch.

`yresolution`

  Type: `gdouble`

  The new image resolution in the y-axis, in dots per inch.

#### Return value

Type: `gboolean`

TRUE on success.